%define name qmqtool
%define version 1.14
%define release 1


Summary: A qmail queue manipulation program
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: Artistic License
Group: Applications/System
BuildArch: noarch
Url: http://jeremy.kister.net/code/qmqtool
Source0: http://jeremy.kister.net/code/qmqtool/files/%{name}-%{version}.tgz
Patch0: qmqtool-1.14-dont_check_qmaildir.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
qmqtool is a qmail queue manipulation program geared towards the
viewing and safe modification of the contents in a qmail queue.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --qmaildir=/var/qmail
%{__make}

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man8
%{__install} -m 755 qmqtool %{buildroot}%{_bindir}
%{__install} -m 644 qmqtool.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc Artistic README ChangeLog FAQ INSTALL contrib
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Wed Dec 24 2014 Daniel Berteaud <daniel@firewall-services.com> - 1.14-1
- First package
